import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Clase abstracta para el uso de enemigos en el juego.
 * 
 * @author Jaime Vazquez Castillo   
 * @version 08082010
 */
public abstract class Enemy  extends Actor
{
    /**
     * Act - do whatever the Enemy wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public abstract void act();
    
    /**
     * Ordena a los enemigos a ejecutar su movimiento especifico.
     */
    public abstract void move();
}
