import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.List;
/**
 * Clase que representa un boton para el uso de la funcion deshacer.
 * @author Jaime Vazquez Castillo 
 * @version 05082010
 */
public class Undo  extends Button
{
    /**
     * Act - verifica presion sobre el boton.
     * This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        if(Greenfoot.mousePressed(this))
        {
            Greenfoot.playSound("click.wav");
            setImage("b_undoA.png");
        }
        if(Greenfoot.mouseClicked(this))
        {
            undo();
            setImage("b_undo.png");
        }
    }
    
    /**
     * Avisa a los actores principales que regresen un paso.
     * 
     */
    public void undo()
    {
        Explorer auxE;
        Mummy auxM;
        List aux;
        
        aux = getWorld().getObjects(Explorer.class);
        if(!aux.isEmpty())
        {
            auxE = (Explorer) aux.get(0);
            auxE.undo();
        }
        
        aux = getWorld().getObjects(Mummy.class);
        if(!aux.isEmpty())
        {
            auxM = (Mummy) aux.get(0);
            auxM.undo();
            //auxM.undo();
        }
    }
}
